[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectList.Remove

Remove an item from the list.

## Declaration

Source position: contnrs.pp line 52

`public function TFPObjectList.Remove(`
`AObject: TObject`
`):Integer;`

## Arguments

`AObject` |  | Object to remove from the list.

## Function result

Index of the removed object or -1 if none was removed.

## Description

Remove removes Item from the list, if it is present in the list. It frees Item if OwnsObjects is True, and returns the index of the object that was found in the list, or -1 if the object was not found.

Note that only the first found object is removed from the list.

## Errors

None.

## See also

TFPObjectList.Pack |  | Remove all Nil references from the list
TFPObjectList.Clear |  | Clear all elements in the list.
TFPObjectList.Delete |  | Delete an element from the list.
TFPObjectList.Extract |  | Extract an object from the list

The latest version of this document can be found at lazarus-ccr.sourceforge.net .